Update Inbox

**CLI:** ```bash agentmail inboxes update --inbox-id <inbox_id> --display-name "Updated Name" ```

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

inbox_idstringRequired
The ID of the inbox.

Request

This endpoint expects an object.
display_namestringRequired

Display name: Display Name <username@domain.com>.

Response

This endpoint returns an object.
pod_idstring
ID of pod.
inbox_idstring
The ID of the inbox.
emailstring
Email address of the inbox.
updated_atdatetime
Time at which inbox was last updated.
created_atdatetime
Time at which inbox was created.
display_namestring

Display name: Display Name <username@domain.com>.

client_idstring
Client ID of inbox.

Errors

404
Not Found Error